Subject: Re: [RFC/PATCH] gitweb: Use list form of 'open "-|"' pipeline

From: Charles Bailey <[email-masked]>
Date: Sat, 8 Mar 2008 17:51:06 +0000

On Sat, Mar 08, 2008 at 05:57:20PM +0100, Jakub Narebski wrote:
> Add output_pipeline subroutine, which allows to use list form of
> pipeline; instead of
>   open my $fh, "-|", "cmd_1 option | cmd_2 argument"
> we can now write
>   my $fh = output_pipeline(['cmd_1', 'option'], ['cmd_2', 'argument']);
> which allows to avoid troubles with shell quoting, and avoid spawning
> shell.  Code is based on snippet http://www.perlmonks.org/?node_id=246397
> simplified a bit.
> 

I'm not a perl open expert, and I don't know if gitweb has other
issues on windows anyway, but the list time I experimented with it
neither the open( FHAND, "-|" ) trick, not the list form of open in
combination with the "-|" mode worked at all on windows.

Charles.